#!/bin/bash

NC='\033[0m'
CYAN='\033[0;36m'
GREEN='\033[0;32m'
RED='\033[0;31m'

INPUT_FILES="end_to_end/fail/*.in"
LLI="lli-3.7"
PSEUDO="../compiler/pseudo"
printf "${CYAN}Running fail tests...\n${NC}"

for input_file in $INPUT_FILES; do
	target=${input_file%%.*}
	cd ../compiler
    $(./pseudo ../tests/$target.in > /dev/null 2>&1)
    result=$?
	if [[ "$result" -ne 0  ]] ; then
 		printf "%-65s ${GREEN}SUCCESS\n${NC}" " - checking $input_file..."
       
	else
        printf "%-65s ${RED}ERROR\n${NC}" " - checking $input_file..." 1>&2

	fi
done
exit 0
